export default [
  {
    id: 1,
    type: 'commit',
    originalBranchId: 1,
    belongsToBranches: [1, 2, 3],
    time: 10, // temp attribute to easily mock it's position in the tree-diagram
    timestamp: '2020-01-25-12-35-00',
    author: 'John Doe',
    commitMsg: 'This is a commit message saying relevant things.',
    snapshotId: 1,
    inReport: true,
    userDefined: false,
    previousCommitId: null,
    interaction: {
      isHighlighted: false
    }
  },
  {
    id: 2,
    type: 'commit',
    originalBranchId: 1,
    belongsToBranches: [1, 2, 3],
    time: 15,
    timestamp: '2020-01-25-13-35-00',
    author: 'John Doe',
    commitMsg: 'This is a commit message saying relevant things.',
    snapshotId: 2,
    inReport: true,
    userDefined: true,
    previousCommitId: 1,
    interaction: {
      isHighlighted: false
    }
  },
  {
    id: 3,
    type: 'commit',
    originalBranchId: 2,
    belongsToBranches: [2, 3],
    time: 18,
    timestamp: '2020-01-25-19-35-00',
    author: 'John Doe',
    commitMsg: 'This is a commit message saying relevant things.',
    snapshotId: 3,
    inReport: false,
    userDefined: true,
    previousCommitId: 2,
    interaction: {
      isHighlighted: false
    }
  },
  {
    id: 4,
    type: 'commit',
    originalBranchId: 1,
    belongsToBranches: [1],
    time: 26,
    timestamp: '2020-01-26-12-35-00',
    author: 'John Doe',
    commitMsg: 'This is a commit message saying relevant things.',
    snapshotId: 4,
    inReport: false,
    userDefined: true,
    previousCommitId: 2,
    interaction: {
      isHighlighted: false
    }
  },
  {
    id: 5,
    type: 'note',
    originalBranchId: 2,
    belongsToBranches: [2, 3],
    time: 42,
    timestamp: '2020-01-27-12-35-00',
    author: 'John Doe',
    commitMsg: 'This is a commit message saying relevant things.',
    snapshotId: 5,
    inReport: true,
    userDefined: true,
    previousCommitId: 3,
    interaction: {
      isHighlighted: false
    }
  },
  {
    id: 6,
    type: 'misc',
    originalBranchId: 3,
    belongsToBranches: [3],
    time: 60,
    timestamp: '2020-01-27-12-35-00',
    author: 'John Doe',
    commitMsg: 'This is a commit message saying relevant things.',
    snapshotId: 6,
    inReport: true,
    userDefined: true,
    previousCommitId: 5,
    interaction: {
      isHighlighted: false
    }
  },
  {
    id: 7,
    type: 'close-commit',
    originalBranchId: 2,
    belongsToBranches: [2],
    time: 72,
    timestamp: '2020-01-27-12-35-00',
    author: 'John Doe',
    commitMsg: 'This is a commit message saying relevant things.',
    snapshotId: 7,
    inReport: true,
    userDefined: true,
    previousCommitId: 5,
    interaction: {
      isHighlighted: false
    }
  }
];
